package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 审核状态
 * @author 
 *
 */
public enum ApproveStateEnum implements IBaseEnum {

    UN_AUDIT(1, "未审核", SysConstains.STYLE_DEFAULT),
    AUDITING(2, "审核中", SysConstains.STYLE_PRIMARY),
	AUDIT_FIN(3, "审核完成", SysConstains.STYLE_PRIMARY);

    private int value;
    private String desc;
    private String style;

    ApproveStateEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static ApproveStateEnum getByValue(int value) {
        for (ApproveStateEnum examStatus : ApproveStateEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (ApproveStateEnum item : ApproveStateEnum.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
